.\" $NetBSD: aria.4,v 1.9 2005/06/22 04:30:08 kent Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Roland C. Dowdeswell.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 22, 2005
.Dt ARIA 4
.Os
.Sh NAME
.Nm aria
.Nd Sierra's Aria chipset audio device driver
.Sh SYNOPSIS
.Cd "aria0 at isa? port 0xPPP irq I"
.Cd "aria0 at isa? port 0xPPP irq I flags 1"
.Cd "audio* at audiobus?"
.Sh DESCRIPTION
The
.Nm
driver provides support for Sierra's Aria chipset,
which is the basis of such cards as the Prometheus Aria 16, the
Genoa AudioBahn 16 Pro, and some Diamond Sonic Sounds (Rev A5 and
Rev B2).
.Pp
The Sierra Aria chipset is full-duplex and is capable of 8- and
16- bit audio sample recording and playback at 7875 Hz, 11025 Hz,
15750 Hz, 22050 Hz, 31500 Hz, and 44100 Hz.
.Pp
Valid I/O addresses are 0x280, 0x290, 0x2A0, and 0x2B0.
The IRQ may be set to 10, 11, or 12.
.Pp
The flags setting is necessary for
the Prometheus Aria 16, as it needs to be specially
configured at each cold boot by twiddling with the
joystick port.
.Sh SEE ALSO
.Xr audio 4 ,
.Xr isa 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.4 .
.Sh BUGS
DMA is not yet supported.
.Pp
The flags option should not be necessary.
.Pp
It is necessary to configure the port and irq.
